Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

training_project_id
string
required
training_job_id
string
required
session_id
string
required

Body

application/json

Request to patch an interactive session.

Only fields that are provided (non-None) will be applied.

timeout_minutes
integer | null

For on_startup sessions, minutes to add to the expiration. For on_demand/on_failure sessions, minutes to add to the timeout. Use -1 for infinite timeout (bumps by 10 years).

trigger
enum<string> | null

Update when the interactive session is created. Cannot be changed if the session trigger is 'on_startup'.

Available options:
on_startup,
on_failure,
on_demand

Response

200 - application/json

Response after patching an interactive session.

interactive_session
InteractiveSessionV1 · object
required

The updated interactive session.

message
string
required

Human-readable summary of what was updated.